Update problem with version 2.0.20 Rated 5 out of 5 stars

Hello, I have a problem with FireFTP 2.0.20. During the update, the message is that the version is not compatible with Firefox 31.
Update 16/08/14. Thanks for the info. Now I do know.

This review is for a previous version of the add-on (2.0.20). 

This is a known issue and problem with Firefox's website:
https://bugzilla.mozilla.org/show_bug.cgi?id=1052065

You'll have to go currently to this page to get a version that works for 31:
https://addons.mozilla.org/en-US/firefox/addon/fireftp/versions/